import {
  a as t
} from "./chunk-IO47FP3U.js";

// ../node_modules/tiny-invariant/dist/esm/tiny-invariant.js
var c = !1, n = "Invariant failed";
function v(i, r) {
  if (!i) {
    if (c)
      throw new Error(n);
    var o = typeof r == "function" ? r() : r, a = o ? "".concat(n, ": ").concat(o) : n;
    throw new Error(a);
  }
}
t(v, "invariant");

export {
  v as a
};
